Merge branch 'master' into test_cross-compilation

This commit is contained in:
tooomm 2026-08-20 07:50:06 +02:00 • committed by GitHub
commit 9abc04f641
No known key found for this signature in database
GPG key ID: B5690EEEBB952194
2 changed files with 9 additions and 8 deletions

View file

@ -42,7 +42,7 @@ concurrency:
jobs:
configure:
name: Configure
runs-on: ubuntu-slim
runs-on: ubuntu-slim # https://github.com/actions/runner-images/blob/main/images/ubuntu-slim/ubuntu-slim-Readme.md
outputs:
tag: ${{ steps.configure.outputs.tag }}
sha: ${{ steps.configure.outputs.sha }}
@ -146,7 +146,7 @@ jobs:
name: ${{ matrix.distro }} ${{ matrix.version }}
needs: configure
runs-on: ubuntu-latest
runs-on: ubuntu-latest # https://github.com/actions/runner-images
continue-on-error: ${{ matrix.allow-failure == 'yes' }}
timeout-minutes: 70
env:
@ -259,9 +259,9 @@ jobs:
matrix:
include:
- os: macOS
target: 13
target: 13 # EOL 2025-09-15
runner: macos-15-intel # https://github.com/actions/runner-images/blob/main/images/macos/macos-15-Readme.md
# macos-26-intel is slow and fails in CPack during DMG config if not increasing Finder timeout
# macos-26-intel is very slow and fails in CPack during DMG config if not increasing Finder timeout
ccache_eviction_age: 7d
cmake_generator: Ninja
@ -276,7 +276,7 @@ jobs:
xcode: "26.3"
- os: macOS
target: 14
target: 14 # EOL 2026-??
runner: macos-26 # https://github.com/actions/runner-images/blob/main/images/macos/macos-26-arm64-Readme.md
ccache_eviction_age: 7d

View file

@ -11,6 +11,7 @@ set -o pipefail
# go to the project root directory, this file should be located in the project root directory
olddir="$PWD"
cd "${BASH_SOURCE%/*}/" || exit 2 # could not find path, this could happen with special links etc.
phys_root="$(pwd -P)"
# defaults
include=("cockatrice/src" \
@ -168,14 +169,14 @@ EOM
echo "error in parsing arguments of $0: $1 is an unrecognized option" >&2
exit 2 # input error
fi
if [[ ! $1 ]] || next_dir=$(cd "$olddir" && cd -- "$1" && pwd); then
if [[ ! $1 ]] || next_dir=$(cd "$olddir" && cd -- "$1" && pwd -P); then
if ! [[ $set_include ]]; then
include=() # remove default includes
set_include=1
fi
if [[ $1 ]]; then
if [[ $next_dir != $PWD/* ]]; then
echo "error in parsing arguments of $0: $next_dir is not in $PWD" >&2
if [[ "$next_dir" != "$phys_root" && "$next_dir" != "$phys_root"/* ]]; then
echo "error in parsing arguments of $0: $next_dir is not in $phys_root" >&2
exit 2 # input error
fi
include+=("$next_dir")